export interface ISuppression {
    file: string;
    scopeId: string;
    rule: string;
}
export interface IBulkSuppressionsConfig {
    serializedSuppressions: Set<string>;
    jsonObject: IBulkSuppressionsJson;
    newSerializedSuppressions: Set<string>;
    newJsonObject: IBulkSuppressionsJson;
}
export interface IBulkSuppressionsJson {
    suppressions: ISuppression[];
}
interface ICachedBulkSuppressionsConfig {
    readTime: number;
    suppressionsConfig: IBulkSuppressionsConfig;
}
export declare const suppressionsJsonByFolderPath: Map<string, ICachedBulkSuppressionsConfig>;
export declare function getSuppressionsConfigForEslintrcFolderPath(eslintrcFolderPath: string): IBulkSuppressionsConfig;
export declare function writeSuppressionsJsonToFile(eslintrcDirectory: string, suppressionsConfig: IBulkSuppressionsConfig): void;
export declare function serializeSuppression({ file, scopeId, rule }: ISuppression): string;
export {};
//# sourceMappingURL=bulk-suppressions-file.d.ts.map